

/***************************************************
 *                                                 *
 *    Macro Assembler				   *
 *                                                 *
 *    Written by Richard Cornwell                  *
 *               3/20/86                           *
 *                                                 *
 ***************************************************/

#define DTITLE "m6809 Macro V2.0"

/* m6800 supports flexable names */
#define FLEXNAMES
/* m6800 supports the .byte psuedo */
#define BYTEOP
/* m6809 is a byte aligned machine */
#define ALIGN 0
/* m6809 address is 16 bits */
#define ADDRSZ 4
#define CPU_TYPE	30
/* Define register types */
#define BREG	0x800		/* 8 bit */
#define WREG	0x000		/* 16 bit */
#define	REGD	0x0		/*   Register D      */
#define	REGX	0x1		/*   Register X      */
#define	REGY	0x2		/*   Register Y      */
#define	REGU	0x3		/*   Register U      */
#define	REGS	0x4		/*   Register S      */
#define	REGP	0x5		/*   Register PC     */
#define	REGA	0x8		/*   Register A      */
#define	REGB	0x9		/*   Register B      */
#define	REGC	0xa		/*   Register CC     */
#define	REGQ	0xb		/*   Register DP     */

/* Addressing modes */
#define  MINX	0x200		/* post byte */
#define  MREG	0x400		/* reg */
#define  MIMD	0x000		/* #reg */
#define  MDIR	0x100		/* >off */
#define  MEXT	0x300		/* off */
#define  MZER	0x500		/* No extra bytes */
#define  RMODE	0xf00

/* Mode bits for valid */
#define VZER	0x01
#define VEXT	0x02
#define VIMD	0x04
#define VDIR	0x08
#define VINX	0x10

#define VMEM	(VDIR|VEXT)
#define VOPR	(VEXT|VIMD|VDIR|VINX)

#define RIGHT	0x80
#define	TBRL	60|RIGHT
#define	TBRS	61|RIGHT
#define	TBYT	62|RIGHT
#define	TLEA	63|RIGHT
#define	TMEM	64|RIGHT
#define	TOPR	65|RIGHT
#define	TREG	66
#define	TSIX	67|RIGHT
#define TSTA	68|RIGHT
#define	TSTK	69
#define	TZER	70
